Uploading information about calls
Uploads information about calls.
Tip
Create a CSV file with the data and send it using this method. We also recommend generating API requests automatically using modules written in a_programming language.
To learn about which data to transmit and to view a sample request, see Passing offline conversions.
Note
It may take up to two hours to process the data after you upload it.
Request
POST
https://api-metrika.yandex.net/management/v1/counter/{counterId}/offline_conversions/upload_calls
Path parameters
|
Name |
Description |
|
counterId |
Type: integer ID of the counter for which you want to upload information about calls. |
Query parameters
|
Name |
Description |
|
comment |
Type: string Comment. Example: `` |
|
new_goal_name |
Type: string Name of a new goal for calls if this goal doesn't exist yet. If the goal exists, this parameter is ignored. Example: |
Body
multipart/form-data
{
"file": "example"
}
|
Name |
Description |
|
file |
Type: string<binary> Call information to upload, which is passed as multipart/form-data. Example: |
Responses
200 OK
OK
Body
application/json
{
"uploading": {
"id": 0,
"create_time": "2025-01-01T00:00:00Z",
"source_quantity": 0,
"line_quantity": 0,
"comment": "example",
"type": "BASIC",
"client_id_type": "USER_ID",
"status": "example",
"goal_not_found_quantity": 0,
"user_not_found_quantity": 0,
"static_calls_quantity": 0,
"dynamic_calls_quantity": 0,
"linked_quantity": 0
}
}
|
Name |
Description |
|
uploading |
Type: OfflineCallsUploading Information about call uploads. Example
|
OfflineCallsUploading
Information about call uploads.
|
Name |
Description |
|
client_id_type |
Type: string Type of user IDs. Possible values:
Example: |
|
comment |
Type: string Arbitrary comment. The maximum number of characters is 255. Min length: Max length: Example: |
|
create_time |
Type: string<date-time> Upload time. Example: |
|
dynamic_calls_quantity |
Type: integer Number of dynamic calls. |
|
goal_not_found_quantity |
Type: integer |
|
id |
Type: integer Upload ID. |
|
line_quantity |
Type: integer Number of rows that passed validation during upload. |
|
linked_quantity |
Type: integer |
|
source_quantity |
Type: integer Number of rows in the source file. |
|
static_calls_quantity |
Type: integer Number of static calls. |
|
status |
Type: string Upload status:
Example: |
|
type |
Type: string Possible values:
Example: |
|
user_not_found_quantity |
Type: integer |
Example
{
"id": 0,
"create_time": "2025-01-01T00:00:00Z",
"source_quantity": 0,
"line_quantity": 0,
"comment": "example",
"type": "BASIC",
"client_id_type": "USER_ID",
"status": "example",
"goal_not_found_quantity": 0,
"user_not_found_quantity": 0,
"static_calls_quantity": 0,
"dynamic_calls_quantity": 0,
"linked_quantity": 0
}